[
{
    blockid=part;
    help=store_part_part;
    custom=com.netscape.management.msgserv.StoreGeneralControl;
    localvar={
	/* translate this block */
	.header.text="\u30d1\u30fc\u30c6\u30a3\u30b7\u30e7\u30f3\u306e\u8a2d\u5b9a";
	.part.text="\u30e1\u30c3\u30bb\u30fc\u30b8\u306e\u4fdd\u5b58\u30d1\u30fc\u30c6\u30a3\u30b7\u30e7\u30f3\u4e00\u89a7:";
	.default.header="\u30c7\u30d5\u30a9\u30eb\u30c8";
	.name.header="\u30cb\u30c3\u30af\u30cd\u30fc\u30e0";
	.path.header="\u30d1\u30b9";
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=label;
		    text=$.header.text;
		    wrap=$g.label.size5;
		    font=["","",16];
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=separator;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=pane;
		    layout=[ybox];
		    content=[
			{
			    ctrl=label;
			    id=partlabel;
			    text=$.part.text;
			    wrap=$g.label.size4;
			},
			{
			    ctrl=vstrut;
			},
			{
			    ctrl=table;
			    label=partlabel;
			    id=parttable;
			    showedit=true;
          addtext=$g.addbutton.text;
          edittext=$g.editbutton.text;
          deltext=$g.deletebutton.text;
			    columns=[
				{
				    header=$.default.header;
				    renderer=boolean;
				    editor=boolean;
				    width=60;
				},
				{
				    header=$.name.header;
				    width=120;
				},
				{
				    header=$.path.header;
				    width=260;
				}
			    ];
			}
		    ]
		}
	    ]
	}
    ]
},
{
    blockid=editentry;
    help=store_part_editentry;
    localvar={
	.name.text="\u30d1\u30fc\u30c6\u30a3\u30b7\u30e7\u30f3\u306e\u30cb\u30c3\u30af\u30cd\u30fc\u30e0:";
	.path.text="\u30d1\u30fc\u30c6\u30a3\u30b7\u30e7\u30f3\u306e\u30d1\u30b9:";
	.default.text="\u30c7\u30d5\u30a9\u30eb\u30c8\u306e\u30d1\u30fc\u30c6\u30a3\u30b7\u30e7\u30f3\u306b\u3059\u308b";
    };
    content=[
	{
	    ctrl=pane;
	    layout=[ybox];
	    content=[
		{
		    ctrl=pane;
		    content=[
			{
			    ctrl=label;
			    id=namelabel;
			    text=$.name.text;
			    wrap=$g.label.size1;
			    aligny=0.5;
			},
			{
			    ctrl=text;
			    label=namelabel;
			    val=$name;
			    aligny=0.5;
			    validate=com.netscape.management.msgserv.util.ValidLowerAlphanumeric;
			    errhint=$.name.text;
			    focus=true;
			},
			{
			    ctrl=hglue;
			}
		    ]
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=label;
		    id=pathlabel;
		    text=$.path.text;
		    wrap=$g.label.size3;
		},
		{
		    ctrl=text;
		    label=pathlabel;
		    val=$path;
		    validate=com.netscape.management.msgserv.util.ValidAbsolutePath;
		    errhint=$.path.text;
		},
		{
		    ctrl=vstrut;
		},
		{
		    ctrl=togglepane;
		    id=defaultcheck;
		    label=defaultlabel;
		    val=$.default.val;
		    text=$.default.text;
		}
	    ]
	}
    ]
}
]
